function Menu(xml) {
    var groups = new Array();
    var menuGroup;
    $(xml).find('menu_group').each(function(i) {
        menuGroup = new MenuGroup($(this));
        groups.push(menuGroup);
    }); 
    this.menuGroups = groups;
    
    var comboGroups  = new Array();
    var comboGroup;
    $(xml).find('combo_menu_group').each(function(i) {
        comboGroup = new ComboMenuGroup($(this));
        comboGroups.push(comboGroup);
    }); 
    this.comboMenuGroups  = comboGroups;
    
    
};
